## php-horde-mongo 1.0.1

=== debian/changelog ===
php-horde-mongo (1.0.1-1uk1) unstable; urgency=low

  * precise backport

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 03 Sep 2013 14:13:21 +0000

php-horde-mongo (1.0.1-1) unstable; urgency=low

  * New upstream version 1.0.1

 -- Mathieu Parent <sathieu@debian.org>  Mon, 17 Jun 2013 22:07:18 +0200

php-horde-mongo (1.0.0-1) unstable; urgency=low

  * Use pristine-tar
  * New upstream version 1.0.0

 -- Mathieu Parent <sathieu@debian.org>  Thu, 06 Jun 2013 09:30:51 +0200

php-horde-mongo (1.0.0~beta1-1) unstable; urgency=low

  * Horde's Horde_Mongo package
  * Initial packaging (Closes: #709505)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 23 May 2013 20:08:48 +0200

## php-horde-mongo 1.1.0

=== bundle/vendor/mongodb/mongodb/Makefile ===
.PHONY: apigen composer test docs mkdocs

COMPOSER_ARGS=update --no-interaction --prefer-source
PHPUNIT_ARGS=--process-isolation

composer:
	@command -v composer >/dev/null 2>&1; \
	if test $$? -eq 0; then \
		composer $(COMPOSER_ARGS); \
	elif test -r composer.phar; then \
		php composer.phar $(COMPOSER_ARGS); \
	else \
		echo >&2 "Cannot find composer; aborting."; \
		false; \
	fi

test: composer
	@command -v phpunit >/dev/null 2>&1; \
	if test $$? -eq 0; then \
		phpunit $(PHPUNIT_ARGS); \
	elif test -r phpunit.phar; then \
		php phpunit.phar $(PHPUNIT_ARGS); \
	else \
		echo >&2 "Cannot find phpunit; aborting."; \
		false; \
	fi

apigen:
	@command -v apigen >/dev/null 2>&1; \
	if test $$? -eq 0; then \
		apigen generate; \
	elif test -r apigen.phar; then \
		php apigen.phar generate; \
	else \
		echo >&2 "Cannot find apigen; aborting."; \
		false; \
	fi

mkdocs:
	@command -v mkdocs >/dev/null 2>&1; \
	if test $$? -eq 0; then \
		mkdocs build --clean; \
	else \
		echo >&2 "Cannot find mkdocs; aborting."; \
		false; \
	fi

release/%: release-log/%
	@echo "Please run:"
	@echo "    " git add RELEASE-$(*)
	@echo "    " git commit -m \"Add $(*) release notes\"
	@echo "    " git tag -a -m \"Release MongoDB library $(*)\" $(*)
	@echo "    " git push REMOTE `git rev-parse --abbrev-ref HEAD`
	@echo "    " git push REMOTE --tags
	@echo "    " make release-docs

docs: mkdocs apigen

release-docs: docs
	mkdocs gh-deploy
	@echo "If origin is your local fork, you may need to run:"
	@echo "    " git push REMOTE gh-pages:gh-pages

release-log/%:
	@git log --pretty=format:"%ad  %an  <%ae>%n%x09* %s%n" --date short --no-merges --since="$$(git show -s --format=%ad `git rev-list --tags --max-count=1`)" > RELEASE-$(*)

## php-horde-mongo 1.0.2

=== debian/changelog ===
php-horde-mongo (1.0.2-2) unstable; urgency=medium

  * Update Standards-Version, no change
  * Update Vcs-Browser to use cgit instead of gitweb

 -- Mathieu Parent <sathieu@debian.org>  Tue, 26 Aug 2014 22:50:13 +0200

php-horde-mongo (1.0.2-1) unstable; urgency=low

  * New upstream version 1.0.2

 -- Mathieu Parent <sathieu@debian.org>  Tue, 22 Oct 2013 17:27:20 +0200

=== debian/control ===
Source: php-horde-mongo
Section: php
Priority: extra
Maintainer: Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>
Uploaders: Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 8.0.0), pkg-php-tools, pear-horde-channel
Standards-Version: 3.9.5
Homepage: http://www.horde.org/
Vcs-Git: git://anonscm.debian.org/pkg-horde/PEAR/php-horde-mongo.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-horde/PEAR/php-horde-mongo.git

Package: php-horde-mongo
Architecture: all
Depends: ${misc:Depends}, ${phppear:Debian-Depends}
Recommends: ${phppear:Debian-Recommends}
Breaks: ${phppear:Debian-Breaks}
Description: ${phppear:summary}
 ${phppear:description}
 .
 This package is part of Horde, a web application Framework written in PHP with
 modules like IMP (webmail), Turba (contacts), Kronolith (calendar), Nag (task
 list), Gollem (file manager), etc.

=== debian/watch ===
version=3
opts="uversionmangle=s/(alpha|beta|rc)/~$1/i,dversionmangle=s/\+debian\d$//" \
http://pear.horde.org/ http://pear.horde.org/get/Horde_Mongo-(.+)\.tgz

## php-horde-mongo 1.0.3

=== debian/changelog ===
php-horde-mongo (1.0.3-2) unstable; urgency=medium

  * Update gbp.conf

 -- Mathieu Parent <sathieu@debian.org>  Mon, 10 Aug 2015 02:06:49 +0200

php-horde-mongo (1.0.3-1) unstable; urgency=medium

  * Update Standards-Version to 3.9.6, no change
  * New upstream version 1.0.3

 -- Mathieu Parent <sathieu@debian.org>  Mon, 04 May 2015 23:22:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>
 Uploaders: Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 8.0.0), pkg-php-tools, pear-horde-channel
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.horde.org/
 Vcs-Git: git://anonscm.debian.org/pkg-horde/PEAR/php-horde-mongo.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-horde/PEAR/php-horde-mongo.git

## php-horde-mongo 1.1.0

=== debian/changelog ===
php-horde-mongo (1.1.0-6) unstable; urgency=medium

  * d/control: Add to Uploaders: Juri Grabowski.
  * d/control: Bump DH compat level to version 13.
  * d/salsa-ci.yml: Add file with salsa-ci.yml and pipeline-jobs.yml calls.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Jul 2020 13:50:32 +0200

php-horde-mongo (1.1.0-5) unstable; urgency=medium

  * Re-upload to Debian. (Closes: #959341).

  * d/control: Add to Uploaders: Mike Gabriel.
  * d/control: Drop from Uploaders: Debian QA Group.
  * d/control: Bump Standards-Version: to 4.5.0. No changes needed.
  * d/control: Add Rules-Requires-Root: field and set it to 'no'.
  * d/upstream/metadata: Add file. Comply with DEP-12.
  * d/copyright: Update copyright attributions.
  * d/rules: Remove source and doc files from installed library.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 21 May 2020 09:05:49 +0200

php-horde-mongo (1.1.0-4) unstable; urgency=medium

  * Bump debhelper from old 11 to 12.
  * d/control: Orphaning package (See #942282)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 18 Oct 2019 20:38:01 +0200

php-horde-mongo (1.1.0-3) unstable; urgency=medium

  * Update Standards-Version to 4.1.4, no change
  * Update Maintainer field

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 18:50:28 +0200

php-horde-mongo (1.1.0-2) unstable; urgency=medium

  * Update Standards-Version to 4.1.3, no change
  * Upgrade debhelper to compat 11
  * Update Vcs-* fields
  * Use secure copyright format URI
  * Replace "Priority: extra" by "Priority: optional"

 -- Mathieu Parent <sathieu@debian.org>  Fri, 06 Apr 2018 14:35:39 +0200

php-horde-mongo (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0

 -- Mathieu Parent <sathieu@debian.org>  Fri, 09 Sep 2016 15:32:52 +0200

php-horde-mongo (1.0.3-5) unstable; urgency=medium

  * Update Standards-Version to 3.9.8, no change
  * Updated d/watch to use https

 -- Mathieu Parent <sathieu@debian.org>  Wed, 08 Jun 2016 09:16:21 +0200

php-horde-mongo (1.0.3-4) unstable; urgency=medium

  * Update Standards-Version to 3.9.7, no change
  * Use secure Vcs-* fields
  * Rebuild with newer pkg-php-tools for the PHP 7 transition

 -- Mathieu Parent <sathieu@debian.org>  Mon, 14 Mar 2016 09:09:06 +0100

php-horde-mongo (1.0.3-3) unstable; urgency=medium

  * Upgaded to debhelper compat 9

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Oct 2015 08:29:00 +0200

=== debian/control ===
Source: php-horde-mongo
Section: php
Priority: optional
Maintainer: Horde Maintainers <team+debian-horde-team@tracker.debian.org>
Uploaders:
 Juri Grabowski <debian@jugra.de>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: pkg-php-tools, pear-horde-channel, debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.horde.org/
Vcs-Git: https://salsa.debian.org/horde-team/php-horde-mongo.git
Vcs-Browser: https://salsa.debian.org/horde-team/php-horde-mongo

Package: php-horde-mongo
Architecture: all
Depends: ${misc:Depends}, ${phppear:Debian-Depends}
Recommends: ${phppear:Debian-Recommends}
Breaks: ${phppear:Debian-Breaks}
Description: ${phppear:summary}
 ${phppear:description}
 .
 This package is part of Horde, a web application Framework written in PHP with
 modules like IMP (webmail), Turba (contacts), Kronolith (calendar), Nag (task
 list), Gollem (file manager), etc.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=phppear --with phppear

override_dh_install:
	dh_install
	rm debian/*/usr/share/php/Horde/Mongo/vendor/composer/LICENSE
	rm debian/*/usr/share/php/Horde/Mongo/vendor/mongodb/mongodb/.gitignore
	rm debian/*/usr/share/php/Horde/Mongo/vendor/mongodb/mongodb/LICENSE
	rm debian/*/usr/share/php/Horde/Mongo/vendor/mongodb/mongodb/README.md
	rm debian/*/usr/share/php/Horde/Mongo/vendor/alcaeus/mongo-php-adapter/.gitignore
	rm debian/*/usr/share/php/Horde/Mongo/vendor/alcaeus/mongo-php-adapter/CHANGELOG-1.0.md
	rm debian/*/usr/share/php/Horde/Mongo/vendor/alcaeus/mongo-php-adapter/LICENSE
	rm debian/*/usr/share/php/Horde/Mongo/vendor/alcaeus/mongo-php-adapter/README.md
